package com.ejie.ad74a.service.interoperabilidad;

import java.text.ParseException;

import com.ejie.ad74a.model.Expedientes;

import es.redsara.intermediacion.scsp.esquemas.datosespecificos.Retorno;

/**
 * NISAE.
 * 
 * @author
 */

public interface NisaeService {

	// String consultaDependencia(Expedientes expediente);

	Retorno getDatosDGPInterop(Expedientes expediente);

	Retorno getDatosIrpfInterop(Expedientes expediente);

	Retorno getDatosPadronInterop(Expedientes expediente);

	Retorno getDatosDependenciaInterop(Expedientes expediente);

	// String consultaPadron(Expedientes expediente);

	void consultaConyugeIrpf(Expedientes expediente) throws ParseException;

	void consultaIrpfInterop(Expedientes expediente) throws ParseException;

	void consultaDiscapacidad(Expedientes expediente) throws ParseException;

	void consultaPadron(Expedientes expediente) throws ParseException;

	Retorno getDatosDiscapacidadInterop(Expedientes expediente);

}
